{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.gaming.mangohud;
in {
  options.gaming.mangohud = {
    enable = lib.mkEnableOption "enable lutris";
  };

  config = lib.mkIf cfg.enable {
    # preformance overlay 
    # requires setting launch option `mangohud %command%`
    environment.systemPackages = with pkgs; [
      mangohud 
    ];
  };
}
